%Summary: runs examples from "Finding sparse, equivalent SDPs using linear
%programming and combinatorial techniques" by Permenter, Parrilo 2015.
%Requires: https://github.com/frankpermenter/frlib/tree/blkdiag


files = dir(['*.mat']);
for i=1:length(files)
    file = files(i).name;
    load([file]);
    f = frlibPrg(A,b,c,K);
    r = blkdiagPrg(f);
    if (r.dim(1) ~= r.dim(2))
        r.PrintStats();
         display(['  File: ',file]);
    end
end